// This work is licensed under the Creative Commons Attribution-ShareAlike 4.0
// International Public License.
// Visit https://creativecommons.org/licenses/by-sa/4.0/.
// SPDX-License-Identifier: CC-BY-SA-4.0
//     yuqk average_00.pov +W1200 +h900  (quick and ugly)
//     yuqk average_00.pov +W1200 +h900 +a0.05 +am2 +r2 +d +p
#version unofficial 3.8; // yuqk
#if (file_exists("version.inc"))
    #include "version.inc"
#end
#if (!defined(Fork_yuqk))
    #error "This POV-Ray SDL code requires the yuqk fork."
#end
global_settings { assumed_gamma 1 }
#declare Grey50 = srgb <0.5,0.5,0.5>;
background { color Grey50 }
#declare VarOrthoMult = 2.1/max(image_width/image_height,image_height/image_width);
#declare Camera01z = camera {
    orthographic
    location <0,0,-2>
    direction z
    right VarOrthoMult*x*max(1,image_width/image_height)
    up VarOrthoMult*y*max(1,image_height/image_width)
}
#include "cfunctions.inc"
#declare Fn01 = function { pigment {
    image_map { "average_00_.jpg" interpolate 2 }
    warp { repeat x flip x }
    warp { repeat y flip y }
    }
}
#declare R = 2;
#declare I = -2/4;
#declare EXP = cf_cmplx(R,I);
#declare PigMap = pigment_map {
    average // This necessary and enabled in yuqk fork
    [function { Fn01(cf_real(cf_pow(cf_cmplx(x,y),EXP)),
                     cf_imag(cf_pow(cf_cmplx(x,y),EXP)),0).red }
     color_map { [0 red 0] [1 red 3] }
    ]
    [function { Fn01(cf_real(cf_pow(cf_cmplx(x,y),EXP)),
                     cf_imag(cf_pow(cf_cmplx(x,y),EXP)),0).green }
     color_map { [0 green 0] [1 green 3] }
    ]
    [function { Fn01(cf_real(cf_pow(cf_cmplx(x,y),EXP)),
                     cf_imag(cf_pow(cf_cmplx(x,y),EXP)),0).blue }
     color_map { [0 blue 0] [1 blue 3] }
    ]
}
#declare Pig00 = pigment {
    average
    pigment_map { PigMap}
}
#declare Plane00 = plane { -z, 0 }
#declare Fin00 = finish { emission rgb 1}
#declare Txtr00 = texture {
    pigment { Pig00 }
    finish { Fin00 }
}
#declare Obj00 = object {
    Plane00
    texture { Txtr00 }
}

//--- scene ---
    camera { Camera01z }
    object { Obj00 }
