// This work is licensed under the Creative Commons Attribution-ShareAlike 4.0
// International Public License.
// Visit https://creativecommons.org/licenses/by-sa/4.0/.
// SPDX-License-Identifier: CC-BY-SA-4.0
//     yuqk caustics_00.pov +W1200 +h900  (quick and ugly)
//     yuqk caustics_00.pov +W1200 +h900 +a0.05 +am2 +r3 +j5.33 +d +p
#version unofficial 3.8; // yuqk
#if (file_exists("version.inc"))
    #include "version.inc"
#end
#if (!defined(Fork_yuqk))
    #error "This POV-Ray SDL code requires the yuqk fork."
#end
global_settings {
    assumed_gamma 1
    max_trace_level 12
}
#declare SkyBlue = srgb <0.52941,0.80784,0.92157>;
background { SkyBlue }
#declare Camera00 = camera {
    perspective
    location <3,3,-3.001>
    sky y
    angle 35
    right x*(image_width/image_height)
    look_at <0,0,0>
}
#declare White = srgb <1,1,1>;
#declare Light00 = light_source {
    <50,150,-250>, White
}
#declare Plane00 = plane {
    y, -2
    pigment { color White }
}
#declare Red = srgb <1,0,0>;
#declare CylinderX = cylinder {
    -2*x, 2*x, 0.01
    pigment { color Red }
}
#declare Green = srgb <0,1,0>;
#declare CylinderY = cylinder {
    -2*y, 2*y, 0.01
    pigment { color Green }
}
#declare Blue = srgb <0,0,1>;
#declare CylinderZ = cylinder {
    -2*z, 2*z, 0.01
    pigment { color Blue }
}
#declare Sphere00 = sphere {
    0, 0.5
    scale <2,1,1>
}
#declare Interior00 = interior {
    ior 1.3
    caustics 45
}
#declare ClearBlack100 = srgbt <0,0,0,1>;
#declare Pigm00 = pigment {
    color ClearBlack100
}
#declare Fin00 = finish {
    phong 0.7 phong_size 500
}
#declare Texture00 = texture {
    pigment { Pigm00 }
    finish { Fin00 }
}
#declare Obj00 = object {
    Sphere00
    texture { Texture00 }
    interior { Interior00 }
    hollow
}

//--- scene ---
    camera { Camera00 }
    light_source { Light00 }
//  object { CylinderX }
    object { CylinderY }
//  object { CylinderZ }
    object { Obj00 }
    object { Plane00 }
